### Hierarchy

- FlowBundle

## Index

### Methods

- any
- dropTo
- eos
- error
- layer
- lazy
- moveUntil
- nop
- not
- parse
- returns
- satisfy
- startWith
- subStream
- try

## Methods

### any

- any(): SingleParser<any>

- - Defined in masala-parser.d.ts:777

  #### Returns SingleParser<any>

### dropTo

- dropTo(s: string): VoidParser
- dropTo<Y>(p: IParser<Y>): VoidParser

- - Defined in masala-parser.d.ts:808

  Move until the stop, stop included, and drops it.

  #### Parameters

  - ##### s: string

  #### Returns VoidParser

- - Defined in masala-parser.d.ts:809

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### p: IParser<Y>

  #### Returns VoidParser

### eos

- eos(): SingleParser<Unit>

- - Defined in masala-parser.d.ts:789

  #### Returns SingleParser<Unit>

### error

- error(): VoidParser

- - Defined in masala-parser.d.ts:787

  #### Returns VoidParser

### layer

- layer<Y, P>(parser: P): P

- - Defined in masala-parser.d.ts:773

  #### Type parameters

  - #### Y

  - #### P: IParser<Y>

  #### Parameters

  - ##### parser: P

  #### Returns P

### lazy

- lazy<Y, P>(builder: parserBuilder<Y, P>, args?: any[]): P

- - Defined in masala-parser.d.ts:783

  #### Type parameters

  - #### Y

  - #### P: IParser<Y>

  #### Parameters

  - ##### builder: parserBuilder<Y, P>

  - ##### Optional args: any[]

  #### Returns P

### moveUntil

- moveUntil(stop: string): SingleParser<string>
- moveUntil(stops: string[]): SingleParser<string>
- moveUntil<Y>(p: IParser<Y>): SingleParser<string>

- - Defined in masala-parser.d.ts:800

  moveUntil moves the offset until stop is found and returns the text found between. The stop is not read

  #### Parameters

  - ##### stop: string

  #### Returns SingleParser<string>

- - Defined in masala-parser.d.ts:801

  #### Parameters

  - ##### stops: string[]

  #### Returns SingleParser<string>

- - Defined in masala-parser.d.ts:802

  #### Type parameters

  - #### Y

  #### Parameters

  - ##### p: IParser<Y>

  #### Returns SingleParser<string>

### nop

- nop(): VoidParser

- - Defined in masala-parser.d.ts:771

  #### Returns VoidParser

### not

- not<Y, P>(P: any): SingleParser<any>

- - Defined in masala-parser.d.ts:781

  #### Type parameters

  - #### Y

  - #### P: IParser<Y>

  #### Parameters

  - ##### P: any

  #### Returns SingleParser<any>

### parse

- parse<Y, P>(parser: P): P

- - Defined in masala-parser.d.ts:769

  #### Type parameters

  - #### Y

  - #### P: IParser<Y>

  #### Parameters

  - ##### parser: P

  #### Returns P

### returns

- returns<T>(value: T): SingleParser<T>

- - Defined in masala-parser.d.ts:785

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  #### Returns SingleParser<T>

### satisfy

- satisfy<V>(predicate: Predicate<V>): SingleParser<any>

- - Defined in masala-parser.d.ts:791

  #### Type parameters

  - #### V

  #### Parameters

  - ##### predicate: Predicate<V>

  #### Returns SingleParser<any>

### startWith

- startWith<V>(value: V): SingleParser<V>

- - Defined in masala-parser.d.ts:793

  #### Type parameters

  - #### V

  #### Parameters

  - ##### value: V

  #### Returns SingleParser<V>

### subStream

- subStream(length: number): VoidParser

- - Defined in masala-parser.d.ts:779

  #### Parameters

  - ##### length: number

  #### Returns VoidParser

### try

- try<Y, P>(parser: P): P

- - Defined in masala-parser.d.ts:775

  #### Type parameters

  - #### Y

  - #### P: IParser<Y>

  #### Parameters

  - ##### parser: P

  #### Returns P

Generated using TypeDoc